Subject: Re: [PATCH net-next v3 6/7] net: dsa: mt7530: do not set priv->p5_interface on mt7530_setup_port5()

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 Jan 2024 08:02:13 -0800

On Tue, 30 Jan 2024 17:26:29 +0300 Arınç ÜNAL wrote:
> I don't claim to be an email expert. I've received Vladimir's email with
> the "Content-Transfer-Encoding: 8bit" header. The body was plaintext, not
> base64 encoded. I have checked how the netdev mailing list distributed
> Vladimir's email, its body is plaintext as well, not base64 encoded. Only
> the linux-arm-kernel mailing list distributed the body base64 encoded, the
> header is "Content-Transfer-Encoding: base64".
> 
> And the attachment you've provided seems to be from the raw output of
> lore.kernel.org/all which seems to put together the email distribution from
> all mailing lists.
> 
> raw from all:
> 
> https://lore.kernel.org/all/20240129125241.gu4srgufad6hpwor@skbuf/raw
> 
> raw from netdev:
> 
> https://lore.kernel.org/netdev/20240129125241.gu4srgufad6hpwor@skbuf/raw
> 
> raw from linux-arm-kernel:
> 
> https://lore.kernel.org/linux-arm-kernel/20240129125241.gu4srgufad6hpwor@skbuf/raw
> 
> I don't know which mailing list mailbot looks at in case of an email is
> sent with multiple mailing lists being CC'd or TO'd. It seems to be that it
> looked at linux-arm-kernel in this instance.

It's the Python library that base-encodes it for some reason :o

>>>>> $ tail -20 raw.5 
> mt7530_setup_port5() from mt753x_phylink_mac_config() won't run.
> 
> The commit ("net: dsa: mt7530: improve code path for setting up port 5")
> makes so that mt7530_setup_port5() from mt7530_setup() runs only on
> non-phylink cases.
> 
> Get rid of unnecessarily setting priv->p5_interface under
> mt7530_setup_port5() as port 5 phylink configuration will be done by
> running mt7530_setup_port5() from mt753x_phylink_mac_config() now.
> 
> Signed-off-by: Arınç ÜNAL <[email-masked]>
> ---

Reviewed-by: Vladimir Oltean <[email-masked]>

I hope this moves the patch set out of the 'deferred' state.

---
pw-bot: under-review

>>>>> $ cat /tmp/p.py
#!/bin/env python3

import email
from email.policy import default
import sys

with open(sys.argv[1], 'rb') as fp:
    raw = fp.read()

msg = email.message_from_bytes(raw, policy=default)
print(msg.get_body())

>>>>> $ /tmp/p.py  raw.5 | tail -20
 <[email-masked]>